Skip to main content
GET
/
checkout
/
tokens
curl https://api.maash.io/checkout/tokens \
  -H "x-api-key: mk_live_1234567890abcdef1234567890abcdef" \
  -H "x-maash-user-type: checkout"
{
  "data": {
    "tokens": [
      {
        "symbol": "USDC",
        "name": "USD Coin",
        "logo_url": "https://assets.maash.io/tokens/usdc.svg",
        "chains": [
          {
            "chain_id": "ethereum",
            "name": "Ethereum"
          }
        ]
      }
    ],
    "chains": ["ethereum", "polygon", "arbitrum", "optimism", "base", "bsc", "solana", "tron"]
  }
}
Returns the list of supported tokens and the chains they are available on. Use this endpoint to populate token and chain selectors in your UI.

Authentication

x-api-key
string
required
Your merchant API key (e.g., mk_live_1234567890abcdef1234567890abcdef).
x-maash-user-type
string
required
Must be set to checkout.

Query parameters

token
string
Filter by token symbol. Accepted values: USDC, USDT.
chain
string
Filter by chain identifier. Accepted values: ethereum, polygon, arbitrum, optimism, base, bsc, solana, tron.

Response

data
object
tokens
array
chains
array
List of all supported chain identifiers.
curl https://api.maash.io/checkout/tokens \
  -H "x-api-key: mk_live_1234567890abcdef1234567890abcdef" \
  -H "x-maash-user-type: checkout"
{
  "data": {
    "tokens": [
      {
        "symbol": "USDC",
        "name": "USD Coin",
        "logo_url": "https://assets.maash.io/tokens/usdc.svg",
        "chains": [
          {
            "chain_id": "ethereum",
            "name": "Ethereum"
          }
        ]
      }
    ],
    "chains": ["ethereum", "polygon", "arbitrum", "optimism", "base", "bsc", "solana", "tron"]
  }
}